at.chipkarte.client.kse.soap

## Class OfflineKonsultation

- Object
- - at.chipkarte.client.kse.soap.OfflineKonsultation

-     public class OfflineKonsultation
      extends Object

  Enthält die Ein-/Ausgangsparameter einer Offlinekonsultation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfflineKonsultation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBehandlungsDatum()` Behandlungsdatum der offline erfassten Konsultation.
    `String` | `getBehandlunsfallCode()` Behandlungsfallcode, mit dem die Konsultation durchgeführt wurde.
    `String` | `getErsatzbelegCode()` Code des Ersatzbelegs, mit dem die Konsultation durchgeführt wurde.
    `String` | `getFachgebietsCode()` Fachgebiet, für das diese Konsultation durchgeführt wird.
    `String` | `getKonsultationsartCode()` Konsultationsart der offline erfassten Konsultation.
    `String` | `getSvtCode()` Code des leistungszuständigen KVT für den Patienten.
    `void` | `setBehandlungsDatum(String behandlungsDatum)`
    `void` | `setBehandlunsfallCode(String behandlunsfallCode)`
    `void` | `setErsatzbelegCode(String ersatzbelegCode)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setKonsultationsartCode(String konsultationsartCode)`
    `void` | `setSvtCode(String svtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfflineKonsultation

          public OfflineKonsultation()

  - ### Method Detail

    - #### getBehandlungsDatum

          public String getBehandlungsDatum()

      Behandlungsdatum der offline erfassten Konsultation.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        Behandlungsdatum

    - #### setBehandlungsDatum

          public void setBehandlungsDatum(String behandlungsDatum)

    - #### getBehandlunsfallCode

          public String getBehandlunsfallCode()

      Behandlungsfallcode, mit dem die Konsultation durchgeführt wurde.
      Mögliche Werte laut Funktion `getBehandlungsfaelle`.
      Format: 2-stellig
      Returns:
        Behandlungsfallcode

    - #### setBehandlunsfallCode

          public void setBehandlunsfallCode(String behandlunsfallCode)

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Fachgebiet, für das diese Konsultation durchgeführt wird.
      Mögliche Werte laut Funktion `getFachgebiete`.
      Format: 2-stellig
      Returns:
        Fachgebietscode

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### getKonsultationsartCode

          public String getKonsultationsartCode()

      Konsultationsart der offline erfassten Konsultation.
      Mögliche Werte siehe `Konsultationsarten`.
      Format: 3-stellig
      Returns:
        Code der Konsultationsart

    - #### setKonsultationsartCode

          public void setKonsultationsartCode(String konsultationsartCode)

    - #### getSvtCode

          public String getSvtCode()

      Code des leistungszuständigen KVT für den Patienten.
      Mögliche Werte siehe `getSVTs`.
      Format: 2-stellig
      Returns:
        KVT-Code

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### getErsatzbelegCode

          public String getErsatzbelegCode()

      Code des Ersatzbelegs, mit dem die Konsultation durchgeführt wurde.
      Format: 5-stellig, alphanumerisch
      Returns:
        Ersatzbeleg-Code

    - #### setErsatzbelegCode

          public void setErsatzbelegCode(String ersatzbelegCode)